## org.mortbay.jetty.annotations
Class Util

    java.lang.Object
      org.mortbay.jetty.annotations.Util

    public class Util

extends Object

Util

Constructor Summary
`Util()`

Method Summary
`List` `findFieldAnnotations(Class clazz)`
`List` `findMethodAnnotations(Class clazz)` Find all annotations directly and inherited on a class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### findMethodAnnotations

    public List findMethodAnnotations(Class clazz)
                               throws Exception

  Find all annotations directly and inherited on a class.

  Parameters:
    `clazz` -
  Returns:
  Throws:
    `Exception`

### findFieldAnnotations

    public List findFieldAnnotations(Class clazz)
                              throws Exception

  Throws:
    `Exception`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.